#ifndef LUNAR_WM_XR_H
#define LUNAR_WM_XR_H

#include "LunarWM_types.h"

bool LunarWM_xr_init(LunarWM *wm);
void LunarWM_xr_cleanup(LunarWM *wm);
void LunarWM_xr_poll_events(LunarWM *wm);
bool LunarWM_xr_acquire_wait(XrSwapchain sc, uint32_t *idx);
GLuint LunarWM_xr_get_swapchain_image(
    LunarWM *wm, int swapchain_images_i, uint32_t index);

#endif
